Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config
Class Property

    java.lang.Object
      org.apache.logging.log4j.core.config.Property

    @Plugin(name="property",
            category="Core",
            printObject=true)
    public final class Property

extends Object

Represents a key/value pair in the configuration.

Method Summary
`static Property` | `createProperty(String name, String value)` Creates a Property.
`String` | `getName()` Returns the property name.
`String` | `getValue()` Returns the property value.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Returns the property name.

  Returns:
    the property name.

### getValue

    public String getValue()

  Returns the property value.

  Returns:
    the value of the property.

### createProperty

    @PluginFactory
    public static Property createProperty(@PluginAttribute(value="name")
                                                        String name,
                                                        @PluginValue(value="value")
                                                        String value)

  Creates a Property.

  Parameters:
    `name` - The key.
    `value` - The value.
  Returns:
    A Property.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.